Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.util
Class CLIHelpFormatter

    java.lang.Object
      org.apache.commons.cli.HelpFormatter
          kieker.tools.util.CLIHelpFormatter

    public class CLIHelpFormatter

extends org.apache.commons.cli.HelpFormatter

Slightly changes default output of Common CLI's `HelpFormatter` starting the descriptions in a new line rather then indented in a column right to the longest option and adding an empty line between options. The class has been implemented by copying in the `renderOptions(StringBuffer, int, Options, int, int)` original implementation and then modifying it step by step; hence, it includes third-party code from Apache's Commons CLI, licensed under Apache License, Version 2.0.

Since:
  1.7
Author:
  Andre van Hoorn

Field Summary

Fields inherited from class org.apache.commons.cli.HelpFormatter
`DEFAULT_ARG_NAME, DEFAULT_DESC_PAD, DEFAULT_LEFT_PAD, DEFAULT_LONG_OPT_PREFIX, DEFAULT_OPT_PREFIX, DEFAULT_SYNTAX_PREFIX, DEFAULT_WIDTH, defaultArgName, defaultDescPad, defaultLeftPad, defaultLongOptPrefix, defaultNewLine, defaultOptPrefix, defaultSyntaxPrefix, defaultWidth`

Constructor Summary
`CLIHelpFormatter()` Creates a new instance of this class.

Method Summary

Methods inherited from class org.apache.commons.cli.HelpFormatter
`getArgName, getDescPadding, getLeftPadding, getLongOptPrefix, getNewLine, getOptionComparator, getOptPrefix, getSyntaxPrefix, getWidth, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printOptions, printUsage, printUsage, printWrapped, printWrapped, setArgName, setDescPadding, setLeftPadding, setLongOptPrefix, setNewLine, setOptionComparator, setOptPrefix, setSyntaxPrefix, setWidth`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CLIHelpFormatter

    public CLIHelpFormatter()

  Creates a new instance of this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net